LibreOffice: EnhancedCustomShapePath Service Reference

LibreOffice LibreOffice 24.8 SDK API Reference

Loading...
Searching...
No Matches
Public Types | Public Attributes | List of all members
EnhancedCustomShapePath Service Reference

This service may be represented by a com::sun::star::beans::PropertyValue []. More...

`import <EnhancedCustomShapePath.idl;`

## Public Types
typedef sequence<::com::sun::star::drawing::EnhancedCustomShapeParameterPair > | Coordinates
| This property is specifying the points that makes the geometry of the shape.
typedef sequence<::com::sun::star::drawing::EnhancedCustomShapeSegment > | Segments
| This property specifies the commands and the way the Coordinates have to be interpreted.
typedef sequence<::com::sun::star::drawing::EnhancedCustomShapeTextFrame > | TextFrames
| This property specifies the text frames that can be used with the shape.
typedef sequence<::com::sun::star::drawing::EnhancedCustomShapeParameterPair > | GluePoints
| This property specifies custom gluepoints.
typedef sequence< double > | GluePointLeavingDirections
| This property specifies GluePoint leaving directions.
typedef sequence< ::com::sun::star::awt::Size > | SubViewSize
| This property specifies view size per sub path.

## Public Attributes
long | StretchX
| This property specifies the horizontal StretchPoint that has to be used.
long | StretchY
| This property specifies the vertical StretchPoint that has to be used.
short | GluePointType
| This property defines the GluePoint type.
boolean | ExtrusionAllowed
| This property specifies if this shape supports the EnhancedCustomShapeExtrusion properties.
boolean | ConcentricGradientFillAllowed
| This property specifies if this shape supports concentric gradient fill.
boolean | TextPathAllowed
| This property specifies if this shape supports concentric gradient fill.

## Detailed Description

This service may be represented by a com::sun::star::beans::PropertyValue [].

## Member Typedef Documentation

## ◆ Coordinates

sequence<::com::sun::star::drawing::EnhancedCustomShapeParameterPair> Coordinates
| optionalproperty

This property is specifying the points that makes the geometry of the shape.

## ◆ GluePointLeavingDirections

sequence< double > GluePointLeavingDirections
| optionalproperty

This property specifies GluePoint leaving directions.

## ◆ GluePoints

sequence<::com::sun::star::drawing::EnhancedCustomShapeParameterPair> GluePoints
| optionalproperty

This property specifies custom gluepoints.

## ◆ Segments

sequence<::com::sun::star::drawing::EnhancedCustomShapeSegment> Segments
| optionalproperty

This property specifies the commands and the way the Coordinates have to be interpreted.

## ◆ SubViewSize

sequence< ::com::sun::star::awt::Size > SubViewSize
| optionalproperty

This property specifies view size per sub path.

## ◆ TextFrames

sequence<::com::sun::star::drawing::EnhancedCustomShapeTextFrame> TextFrames
| optionalproperty

This property specifies the text frames that can be used with the shape.

In general the first text frame is used, except the shape is containing vertical text, then the object tries to use the second text frame. The default text frame will be as big as the shape.

## Member Data Documentation

## ◆ ConcentricGradientFillAllowed

boolean ConcentricGradientFillAllowed
| optionalproperty

This property specifies if this shape supports concentric gradient fill.

The default is false.

## ◆ ExtrusionAllowed

boolean ExtrusionAllowed
| optionalproperty

This property specifies if this shape supports the EnhancedCustomShapeExtrusion properties.

The default is true.

## ◆ GluePointType

short GluePointType
| optionalproperty

This property defines the GluePoint type.

The values that can be used are specified in com::sun::star::drawing::EnhancedCustomShapeGluePointType

## ◆ StretchX

long StretchX
| optionalproperty

This property specifies the horizontal StretchPoint that has to be used.

No stretching is used if this property is omitted.

## ◆ StretchY

long StretchY
| optionalproperty

This property specifies the vertical StretchPoint that has to be used.

No stretching is used if this property is omitted.

## ◆ TextPathAllowed

boolean TextPathAllowed
| optionalproperty

This property specifies if this shape supports concentric gradient fill.

The default is false;

The documentation for this service was generated from the following file:

- com/sun/star/drawing/EnhancedCustomShapePath.idl